* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --base-grad: linear-gradient(
    25deg,
    #ee7752,
    #ff5e00,
    #e73c7e,
    #d90ead,
    #23a6d5,
    #70e0ec,
    #23d5ab,
    #00ff44
  );

  --istanbul-grad: linear-gradient(
    165deg,
    #4aa3b3a6,
    #04bcff80,
    #008cff7e,
    #ffa200,
    #ffd900,
    #ffd5008d
  );
}

html,
body {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

@keyframes Gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

#overlay {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 60%;
  height: 100%;
  background: transparent;
  z-index: 9999; /* This should be higher than the z-index of any other element on the page */
  display: none;
}

nav,
footer {
  position: fixed;
  width: 100%;
  display: flex;
  justify-content: space-between;
  padding: 20px;
  font-family: "Poppins", sans-serif;
  font-size: 20px;
  text-transform: uppercase;
  background: var(--istanbul-grad);
  background-clip: text;
  color: transparent;
  background-size: 400% 400%;
  animation: Gradient 15s ease infinite;
}

footer {
  font-size: 15px;
  bottom: 0;
  margin-bottom: -10px;
}

nav > div {
  display: flex;
  gap: 50px;
}

nav a div {
  width: 100px;
  height: 100px;
  background-color: rgba(
    0,
    0,
    0,
    0.1
  ); /* Temporary background color for testing */
}

nav a {
  color: inherit; /* Inherit the color from the parent element */
  text-decoration: none; /* Remove the underline */
  z-index: 10000;
  pointer-events: auto; /* Ignore pointer events */
}

.center-item {
  position: absolute;
  left: 50%;
  padding-top: 30px;
  font-size: 20px;
  transform: translate(-50%, -50%);
  background: var(--istanbul-grad);
  background-clip: text;
  color: transparent;
  background-size: 400% 400%;
  animation: Gradient 15s ease infinite;
  transition: opacity 1s ease;
  pointer-events: none; /* Ignore pointer events */
}

.slider {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.slider-wrapper {
  width: max-content;
  padding: 0 150px;
  height: 100%;
  display: flex;
  align-items: center;
  gap: 100px;
}

.slide {
  height: 500px;
  background: gray;
  cursor: pointer; /* Add this line */
}

.slideDivider,
.introSlideDivider {
  display: flex;
  height: 600px;
  flex-direction: row;
  background: transparent;
  margin: 0 30px;
  transition: opacity 0.7s ease-in-out; /* Add this line */
}

.divider {
  display: flex;
  height: 600px;
  width: 7px;
  background: var(--istanbul-grad);
  background-size: 400% 400%;
  animation: Gradient 15s ease infinite;
  flex-shrink: 0; /* prevent this item from shrinking */
  border-radius: 1000px; /* round the borders */
}

@media (max-width: 1200px) {
  .slider-wrapper {
    gap: 275px;
  }

  .slide {
    height: 400px;
    width: 400px;
  }

  .slideDivider,
  .introSlideDivider {
    height: 514px;
    margin-right: -200px;
    margin-left: -30px;
  }

  .divider {
    height: 514px;
  }
}

.dividerText,
.introDividerText {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-family: Poppins, sans-serif;
  max-width: 390px;
  font-size: 20px;
  padding-left: 40px;
  flex-shrink: 0;
}

.dividerTopTextHeader {
  display: flex;
  font-family: Poppins, sans-serif;
  max-width: 400px;
  margin-bottom: -30px;
  text-align: center;
  font-size: 65px;
  background: var(--istanbul-grad);
  background-clip: text;
  color: transparent;
  background-size: 700% 700%;
  animation: Gradient 15s ease infinite;
}

.dividerTextHeader,
.introDividerTextHeader {
  display: flex;
  font-family: Poppins, sans-serif;
  max-width: 400px;
  font-size: 65px;
  padding-bottom: 10px;
  text-align: center;
  background: var(--istanbul-grad);
  background-clip: text;
  color: transparent;
  background-size: 700% 700%;
  animation: Gradient 15s ease infinite;
}

.dividerTextTitle,
.introDividerTextTitle {
  display: flex;
  font-family: Poppins, sans-serif;
  max-width: 400px;
  font-size: 41px;
  padding-bottom: 20px;
  text-align: center;
  background: var(--istanbul-grad);
  background-clip: text;
  color: transparent;
  background-size: 700% 700%;
  animation: Gradient 15s ease infinite;
}

.dividerTextDescription,
.introDividerTextDescription {
  display: flex;
  font-family: Poppins, sans-serif;
  max-width: 500px;
  font-size: 17px;
  text-align: center;
  background: var(--istanbul-grad);
  background-clip: text;
  color: transparent;
  background-size: 700% 700%;
  animation: Gradient 15s ease infinite;
}

@media (max-width: 1200px) {
  .dividerText,
  .introDividerText {
    max-width: 300px;
    font-size: 16px;
  }

  .dividerTopTextHeader {
    max-width: 300px;
    font-size: 56px;
  }

  .dividerTextHeader,
  .introDividerTextHeader {
    max-width: 800px;
    font-size: 56px;
  }

  .dividerTextTitle,
  .introDividerTextTitle {
    max-width: 800px;
    font-size: 32px;
  }

  .dividerTextDescription,
  .introDividerTextDescription {
    max-width: 800px;
    font-size: 13.6px;
  }
}

.tallSlideText {
  max-width: 333px;
  text-align: center;
  padding: 20px 0 0 0;
  font-size: 22px;
  font-family: "Poppins", sans-serif;
  background: var(--istanbul-grad);
  background-clip: text;
  color: transparent;
  background-size: 700% 700%;
  animation: Gradient 15s ease infinite;
  transition: opacity 0.5s ease-in-out; /* Add this line */
}

.wideSlideText {
  max-width: 749px;
  text-align: center;
  padding: 20px 0 0 0;
  font-size: 22px;
  font-family: "Poppins", sans-serif;
  background: var(--istanbul-grad);
  background-clip: text;
  color: transparent;
  background-size: 700% 700%;
  animation: Gradient 15s ease infinite;
  transition: opacity 0.5s ease-in-out; /* Add this line */
}

img {
  height: 100%;
  object-fit: cover;
}

.marker-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: max-content;
  height: 100vh;
}

.photoBg {
  position: absolute;
  width: 465px; /* The photo's base dimensions are 455 by 650*/
  height: 750px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: var(--istanbul-grad);
  background-size: 400% 400%;
  animation: Gradient 15s ease infinite;
  opacity: 0;
  transition: opacity 0.2s ease-in;
  pointer-events: none;
  z-index: 1;
}

.marker {
  position: relative;
  width: 2px;
  height: 100%;
  background-color: #000;
}

@media (max-width: 1200px) {
  .marker {
    display: none;
  }
}

.marker:after {
  position: absolute;
  content: "";
  display: block;
  top: 70px;
  left: -20px;
  width: 40px;
  height: 40px;
  background-color: #fff;
  border: 2px solid #000;
  border-radius: 100%;
  z-index: 2;
}

.active-slide {
  position: absolute;
  top: 60px;
  left: 40px;
  font-family: "Poppins", sans-serif;
  font-size: 15px;
}
